Auth
Email/password, Google OAuth, and CLI device code flows.
/api/v2/auth/cli/claim
Request Body
application/json;charset=utf-8
TypeScript Definitions
Use the request body type in TypeScript.
nonce*string
Response Body
application/json;charset=utf-8
curl -X POST "https://loading/api/v2/auth/cli/claim" \ -H "Content-Type: application/json;charset=utf-8" \ -d '<nonce>string</nonce>'{
"token": "string"
}Empty
curl -X POST "https://loading/api/v2/auth/cli/code"{
"code": "string"
}/api/v2/auth/cli/redeem
Request Body
application/json;charset=utf-8
TypeScript Definitions
Use the request body type in TypeScript.
code*string
Response Body
application/json;charset=utf-8
curl -X POST "https://loading/api/v2/auth/cli/redeem" \ -H "Content-Type: application/json;charset=utf-8" \ -d '<code>string</code>'{
"token": "string"
}Empty
/api/v2/auth/cli/transfer
Request Body
application/json;charset=utf-8
TypeScript Definitions
Use the request body type in TypeScript.
nonce_hash*string
Response Body
curl -X POST "https://loading/api/v2/auth/cli/transfer" \ -H "Content-Type: application/json;charset=utf-8" \ -d '<nonce_hash>string</nonce_hash>'Empty
Empty
/api/v2/auth/google
Request Body
application/json;charset=utf-8
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json;charset=utf-8
curl -X POST "https://loading/api/v2/auth/google" \ -H "Content-Type: application/json;charset=utf-8" \ -d '<code>string</code> <redirect_uri>string</redirect_uri>'nullEmpty